APPROX-IMPORT(8)

NAME
approx-import - copy local .deb files into the approx cache

SYNOPSIS

approx-import [OPTION]... file.deb ...

DESCRIPTION

approx-import copies local .deb files, such as those found in /var/cache/apt/archives, into the approx(8) cache.

It does so by computing the MD5 checksum of each argument. If it matches a package in one of the Packages files in the approx(8) cache, then the file is copied to the appropriate location in the cache.

Note that all Packages files must be scanned, regardless of how many .deb files are being imported, and this process may take several minutes.

The approx-import command must be run by the superuser or the approx(8) user.

OPTIONS

-c file, --config file
    Specify an additional configuration file. May be used multiple times.

-s, --simulate
    Process files but do not actually copy them into the cache.

-q, --quiet
    Don't print the names of files that are imported.

-v, --verbose
    Print the disposition of each file.

EXAMPLES

To import packages from the local apt(8) cache:

    approx-import /var/cache/apt/archives/*.deb

To import packages from another proxy's cache:

    find other-cache -name "*.deb" | xargs approx-import

(where other-cache is the pathname of the other proxy's cache directory)

FILES

/etc/approx/approx.conf
    Configuration file for approx and related programs.

/var/cache/approx
    Default cache directory for archive files.

SEE ALSO
approx.conf(5), approx(8)

AUTHOR
Eric Cooper <ecc@cmu.edu>